//    Copyright 2012 Manolo Venturin, EnginSoft S.P.A.
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.

function LHY_Plot(t, LHY)
// Nice plot data for the LHY model

// Fetching solution
L = LHY(1,:);
H = LHY(2,:);
Y = LHY(3,:);

// Evaluate initiation
I = LHY_Initiation(L,H,Y, param);

// maximum values for nice plot
[Lmax, Lindmax] = max(L); tL = t(Lindmax);
[Hmax, Hindmax] = max(H); tH = t(Hindmax);
[Ymax, Yindmax] = max(Y); tY = t(Yindmax);
[Imax, Iindmax] = max(I); tI = t(Iindmax);

// Text of the maximum point
Ltext = msprintf(' ( %4.1f , %7.0f)',tL,Lmax);
Htext = msprintf(' ( %4.1f , %7.0f)',tH,Hmax);
Ytext = msprintf(' ( %4.1f , %7.0f)',tY,Ymax);
Itext = msprintf(' ( %4.1f , %7.0f)',tI,Imax);

// Plotting of model data
plot(t,[LHY;I]);
legend(['Light Users';'Heavy users';'Memory';'Initiation']);

// Vertical line
set(gca(),"auto_clear","off");
xpolys([tL,tH,tY,tI;tL,tH,tY,tI],[0,0,0,0;Lmax,Hmax,Ymax,Imax]);

// Text of maximum point
xstring(tL,Lmax,Ltext);
xstring(tH,Hmax,Htext);
xstring(tY,Ymax,Ytext);
xstring(tI,Imax,Itext);
xlabel('Year');

set(gca(),"auto_clear","on");
endfunction
